petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatTransColoringApplyDenToSp

Given a symbolic matrix product Csp=A*B^T for which a MatTransposeColoring context has been created and a dense matrix Cden=A*Btdense in which Btdens is obtained from MatTransColoringApplySpToDen(), recover sparse matrix Csp from Cden.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransColoringApplyDenToSp(MatTransposeColoring matcoloring,Mat Cden,Mat Csp)

Collective on MatTransposeColoring

### Input Parameters

| coloring | - coloring context created with MatTransposeColoringCreate()
| Cden | - matrix product of a sparse matrix and a dense matrix Btdense

### Output Parameter

Csp -sparse matrix

### Notes

These are used internally for some implementations of MatRARt()

### See Also

MatTransposeColoringCreate(), MatTransposeColoringDestroy(), MatTransColoringApplySpToDen()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatTransColoringApplyDenToSp_SeqAIJ in src/mat/impls/aij/seq/matmatmult.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages